| Home | Libraries | People | FAQ | More

#### basic_static_string::subview

Return a string view of a substring.

###### Synopsis

    string_view_type
    subview(
        size_type pos = 0,
        size_type count = npos) const;

###### Description

Returns a view of a substring.

###### Exception Safety

Strong guarantee.

###### Return Value

A `string_view_type` object referring to `{data() + pos, std::min(count, size() - pos))`.

###### Parameters

Name | Description
--- | ---
`pos` | The index to being the substring at. The default arugment for this parameter is `0`.
`count` | The length of the substring. The default arugment for this parameter is `npos`.

###### Exceptions

Type | Thrown On
--- | ---
`std::out_of_range` | `pos > size()`